Subject: [tsvwg] New Internet-Draft: draft-ietf-tsvwg-rfc5405bis-13.txt

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 12 May 2016 09:44:38 +0100

I'm pleased to announce a new revision to the UDP Usage Guidelines ID,
which now includes the feedback that the editors received on the use of
protocol timers. I think this recent addition is helpful to implementers
of UDP applications, and also aligns the UDP recommendations with recent 
work in the TCPM WG on the management of RTT/RTO.

Thanks to all who provided feedback and who proof-read the various new
paragraphs,

Gorry, Lars and Greg.

 >
 > A New Internet-Draft is available from the on-line Internet-Drafts
 > directories.
 > This draft is a work item of the Transport Area Working Group of the 
IETF.
 >
 >         Title           : UDP Usage Guidelines
 >         Authors         : Lars Eggert
 >                           Godred Fairhurst
 >                           Greg Shepherd
 > 	Filename        : draft-ietf-tsvwg-rfc5405bis-13.txt
 > 	Pages           : 57
 > 	Date            : 2016-05-10
 >
 > Abstract:
 >    The User Datagram Protocol (UDP) provides a minimal message-passing
 >    transport that has no inherent congestion control mechanisms.  This
 >    document provides guidelines on the use of UDP for the designers of
 >    applications, tunnels and other protocols that use UDP.  Congestion
 >    control guidelines are a primary focus, but the document also
 >    provides guidance on other topics, including message sizes,
 >    reliability, checksums, middlebox traversal, the use of ECN, DSCPs,
 >    and ports.
 >
 >    Because congestion control is critical to the stable operation of the
 >    Internet, applications and other protocols that choose to use UDP as
 >    an Internet transport must employ mechanisms to prevent congestion
 >    collapse and to establish some degree of fairness with concurrent
 >    traffic.  They may also need to implement additional mechanisms,
 >    depending on how they use UDP.
 >
 >    Some guidance is also applicable to the design of other protocols
 >    (e.g., protocols layered directly on IP or via IP-based tunnels),
 >    especially when these protocols do not themselves provide congestion
 >    control.
 >
 >    This document obsoletes RFC5405 and adds guidelines for multicast UDP
 >    usage.
 >
 >
 > The IETF datatracker status page for this draft is:
 > https://datatracker.ietf.org/doc/draft-ietf-tsvwg-rfc5405bis/
 >
 > There's also a htmlized version available at:
 > https://tools.ietf.org/html/draft-ietf-tsvwg-rfc5405bis-13
 >
 > A diff from the previous version is available at:
 > https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-rfc5405bis-13
 >
 >
 > Please note that it may take a couple of minutes from the time of
 > submission
 > until the htmlized version and diff are available at tools.ietf.org.
 >
 > Internet-Drafts are also available by anonymous FTP at:
 > ftp://ftp.ietf.org/internet-drafts/
 >